<?php
/**
 * @file
 * Allows the site to send and receive user contacts to and from Text Marketer.
 */

namespace Drupal\textmarketer_contacts\Controller;

use \EntityDrupalWrapper;

/**
 * Class UserWrapper.
 *
 * @package Drupal\textmarketer\Controller
 */
class UserWrapper extends EntityDrupalWrapper {

  /**
   * Retrieves the user telephone number.
   *
   * @param UserWrapper $type
   *   User entity type.
   * @param null $data
   *   A uid or user object.
   */
  public function __construct($type, $data) {
    parent::__construct($type, $data);
  }

  /**
   * Get the value of the telephone field.
   *
   * @return mixed
   *   Returns the user telephone number.
   */
  public function getUserPhone()  {
    $field_phone = variable_get('textmarketer_contacts_telephone', '');
    $phone = $this->{$field_phone}->value();
    return $phone;
  }

  /**
   * Get the value of the subscribe field.
   *
   * @return mixed
   *   Returns the user subscribe value'.
   */
  public function getUserSubscribe() {
    $field_subscribe = variable_get('textmarketer_contacts_subscribe', '');
    $subscribe = $this->{$field_subscribe}->value();
    return $subscribe;
  }
}
